Author Topic: update 30718 throws errors  (Read 4021 times)

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
update 30718 throws errors
« on: May 19, 2015, 10:38:16 pm »
Check this out :
Quote
dcerouter_1043186:/home/linuxmce# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  lmce-avwizard-sounds lmce-skins-basic
The following packages will be upgraded:
  lmce-core lmce-diskless-tools lmce-md-meta lmce-skins-bluecrystal lmce-skins-slate lmce-skins-titanium lmce-skins-uita pluto-avwizard pluto-avwizard-skin-basic pluto-boot-scripts pluto-mythtv-player pluto-orbiter pluto-orbitergen
  pluto-orbiterinstaller pluto-website-admin
15 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 549 MB of archives.
After this operation, 237 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  pluto-mythtv-player lmce-avwizard-sounds lmce-skins-basic pluto-boot-scripts pluto-orbitergen pluto-orbiterinstaller pluto-website-admin lmce-diskless-tools lmce-core pluto-avwizard-skin-basic pluto-avwizard pluto-orbiter lmce-md-meta
  lmce-skins-bluecrystal lmce-skins-slate lmce-skins-titanium lmce-skins-uita
Authentication warning overridden.
Get:1 http://deb.linuxmce.org/ubuntu/ precise/main pluto-mythtv-player i386 2.0.0.46.15051930718 [758 kB]
Get:2 http://deb.linuxmce.org/ubuntu/ precise/main lmce-avwizard-sounds all 2.0.0.47.9~lmce1 [168 MB]
Get:3 http://deb.linuxmce.org/ubuntu/ precise/main lmce-skins-basic all 2.0.0.47.9~lmce1 [48.6 MB]
Get:4 http://deb.linuxmce.org/ubuntu/ precise/main pluto-boot-scripts i386 2.0.0.46.15051930718 [146 kB]
Get:5 http://deb.linuxmce.org/ubuntu/ precise/main pluto-orbitergen i386 2.0.0.46.15051930718 [2,234 kB]
Get:6 http://deb.linuxmce.org/ubuntu/ precise/main pluto-orbiterinstaller i386 2.0.0.46.15051930718 [6,353 kB]
Get:7 http://deb.linuxmce.org/ubuntu/ precise/main pluto-website-admin i386 2.0.0.46.15051930718 [2,059 kB]
Get:8 http://deb.linuxmce.org/ubuntu/ precise/main lmce-diskless-tools i386 2.0.0.46.15051930718 [55.0 kB]
Get:9 http://deb.linuxmce.org/ubuntu/ precise/main lmce-core i386 2.0.0.46.15051930718 [2,462 B]
Get:10 http://deb.linuxmce.org/ubuntu/ precise/main pluto-avwizard-skin-basic i386 2.0.0.46.15051930718 [199 kB]
Get:11 http://deb.linuxmce.org/ubuntu/ precise/main pluto-avwizard i386 2.0.0.46.15051930718 [2,346 kB]
Get:12 http://deb.linuxmce.org/ubuntu/ precise/main pluto-orbiter i386 2.0.0.46.15051930718 [23.0 MB]
Get:13 http://deb.linuxmce.org/ubuntu/ precise/main lmce-md-meta i386 2.0.0.46.15051930718 [2,784 B]
Get:14 http://deb.linuxmce.org/ubuntu/ precise/main lmce-skins-bluecrystal all 2.0.0.47.9~lmce1 [42.7 MB]
Get:15 http://deb.linuxmce.org/ubuntu/ precise/main lmce-skins-slate all 2.0.0.47.9~lmce1 [67.0 MB]
Get:16 http://deb.linuxmce.org/ubuntu/ precise/main lmce-skins-titanium all 2.0.0.47.9~lmce1 [82.3 MB]
Get:17 http://deb.linuxmce.org/ubuntu/ precise/main lmce-skins-uita all 2.0.0.47.9~lmce1 [103 MB]
Fetched 549 MB in 8min 23s (1,090 kB/s)
Selecting previously unselected package lmce-avwizard-sounds.
(Reading database ... 257144 files and directories currently installed.)
Unpacking lmce-avwizard-sounds (from .../lmce-avwizard-sounds_2.0.0.47.9~lmce1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/lmce-avwizard-sounds_2.0.0.47.9~lmce1_all.deb (--unpack):
 trying to overwrite '/home/public/data/avwizard-sounds/avwizard_dts_test.wav', which is also in package pluto-avwizard-sounds 1.1
No apport report written because MaxReports is reached already
                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Selecting previously unselected package lmce-skins-basic.
Unpacking lmce-skins-basic (from .../lmce-skins-basic_2.0.0.47.9~lmce1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/lmce-skins-basic_2.0.0.47.9~lmce1_all.deb (--unpack):
 trying to overwrite '/usr/pluto/orbiter/skins/Basic/mobile/icons/media/home video.png', which is also in package pluto-skins-basic 2.0.0.46.15042530622
No apport report written because MaxReports is reached already
                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to replace pluto-boot-scripts 2.0.0.46.15042530622 (using .../pluto-boot-scripts_2.0.0.46.15051930718_i386.deb) ...
Leaving 'diversion of /usr/sbin/NetworkManager to /usr/sbin/NetworkManager.wraped by pluto-boot-scripts'
Unpacking replacement pluto-boot-scripts ...
Preparing to replace pluto-orbitergen 2.0.0.46.15042530622 (using .../pluto-orbitergen_2.0.0.46.15051930718_i386.deb) ...
Unpacking replacement pluto-orbitergen ...
Preparing to replace pluto-orbiterinstaller 2.0.0.46.15042530622 (using .../pluto-orbiterinstaller_2.0.0.46.15051930718_i386.deb) ...
Unpacking replacement pluto-orbiterinstaller ...
Preparing to replace pluto-website-admin 2.0.0.46.15042530622 (using .../pluto-website-admin_2.0.0.46.15051930718_i386.deb) ...
Unpacking replacement pluto-website-admin ...
Preparing to replace lmce-diskless-tools 2.0.0.46.15042530622 (using .../lmce-diskless-tools_2.0.0.46.15051930718_i386.deb) ...
Unpacking replacement lmce-diskless-tools ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Errors were encountered while processing:
 /var/cache/apt/archives/lmce-avwizard-sounds_2.0.0.47.9~lmce1_all.deb
 /var/cache/apt/archives/lmce-skins-basic_2.0.0.47.9~lmce1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
dcerouter_1043186:/home/linuxmce#
« Last Edit: May 24, 2015, 12:13:13 pm by maverick0815 »

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #1 on: May 24, 2015, 12:14:05 pm »
update 30724 doesn't do much better:
Quote
dcerouter_1043186:/home/linuxmce# apt-get update
Ign file: ./ Release.gpg
Ign file: ./ Release
Ign file: ./ Translation-en_US
Ign file: ./ Translation-en
Ign http://deb.linuxmce.org precise Release.gpg
Hit http://extras.ubuntu.com precise Release.gpg
Hit http://de.archive.ubuntu.com precise Release.gpg
Hit http://de.archive.ubuntu.com precise-updates Release.gpg
Hit http://de.archive.ubuntu.com precise-backports Release.gpg
Ign http://deb.linuxmce.org precise Release
Hit http://extras.ubuntu.com precise Release
Hit http://archive.ubuntu.com precise Release.gpg
Hit http://de.archive.ubuntu.com precise Release
Hit http://de.archive.ubuntu.com precise-updates Release
Ign http://deb.linuxmce.org precise/main i386 Packages/DiffIndex
Hit http://download.videolan.org  Release.gpg
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://archive.ubuntu.com precise Release
Hit http://extras.ubuntu.com precise/main Sources
Hit http://de.archive.ubuntu.com precise-backports Release
Ign http://deb.linuxmce.org precise/main TranslationIndex
Ign http://deb.linuxmce.org precise/universe TranslationIndex
Hit http://download.videolan.org  Release
Hit http://security.ubuntu.com precise-security Release
Hit http://extras.ubuntu.com precise/main i386 Packages
Ign http://extras.ubuntu.com precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/universe i386 Packages
Hit http://de.archive.ubuntu.com precise/main Sources
Hit http://de.archive.ubuntu.com precise/restricted Sources
Hit http://de.archive.ubuntu.com precise/universe Sources
Hit http://de.archive.ubuntu.com precise/multiverse Sources
Hit http://de.archive.ubuntu.com precise/main i386 Packages
Hit http://de.archive.ubuntu.com precise/restricted i386 Packages
Hit http://de.archive.ubuntu.com precise/universe i386 Packages
Hit http://de.archive.ubuntu.com precise/multiverse i386 Packages
Hit http://de.archive.ubuntu.com precise/main TranslationIndex
Hit http://de.archive.ubuntu.com precise/multiverse TranslationIndex
Hit http://download.videolan.org  Packages
Hit http://security.ubuntu.com precise-security/main Sources
Hit http://archive.ubuntu.com precise/main i386 Packages
Hit http://archive.ubuntu.com precise/multiverse i386 Packages
Hit http://archive.ubuntu.com precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/multiverse TranslationIndex
Hit http://archive.ubuntu.com precise/universe TranslationIndex
Hit http://de.archive.ubuntu.com precise/restricted TranslationIndex
Hit http://de.archive.ubuntu.com precise/universe TranslationIndex
Hit http://de.archive.ubuntu.com precise-updates/main Sources
Hit http://de.archive.ubuntu.com precise-updates/restricted Sources
Hit http://de.archive.ubuntu.com precise-updates/universe Sources
Ign http://debian.slimdevices.com stable Release.gpg
Hit http://security.ubuntu.com precise-security/restricted Sources
Hit http://security.ubuntu.com precise-security/universe Sources
Hit http://security.ubuntu.com precise-security/multiverse Sources
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/multiverse i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://archive.ubuntu.com precise/main Translation-en
Hit http://archive.ubuntu.com precise/multiverse Translation-en
Hit http://debian.slimdevices.com stable Release
Hit http://de.archive.ubuntu.com precise-updates/multiverse Sources
Hit http://de.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://de.archive.ubuntu.com precise-updates/restricted i386 Packages
Hit http://de.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://de.archive.ubuntu.com precise-updates/multiverse i386 Packages
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://archive.ubuntu.com precise/universe Translation-en
Hit http://de.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://de.archive.ubuntu.com precise-updates/multiverse TranslationIndex
Hit http://de.archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://de.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://de.archive.ubuntu.com precise-backports/main Sources
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/multiverse Translation-en
Hit http://de.archive.ubuntu.com precise-backports/restricted Sources
Hit http://de.archive.ubuntu.com precise-backports/universe Sources
Hit http://de.archive.ubuntu.com precise-backports/multiverse Sources
Hit http://de.archive.ubuntu.com precise-backports/main i386 Packages
Hit http://de.archive.ubuntu.com precise-backports/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://de.archive.ubuntu.com precise-backports/universe i386 Packages
Hit http://de.archive.ubuntu.com precise-backports/multiverse i386 Packages
Hit http://de.archive.ubuntu.com precise-backports/main TranslationIndex
Hit http://de.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Hit http://de.archive.ubuntu.com precise-backports/restricted TranslationIndex
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://deb.linuxmce.org precise/main i386 Packages
Ign http://debian.slimdevices.com stable/main i386 Packages/DiffIndex
Hit http://de.archive.ubuntu.com precise-backports/universe TranslationIndex
Hit http://de.archive.ubuntu.com precise/main Translation-en
Err http://deb.linuxmce.org precise/universe i386 Packages
  404  Not Found
Hit http://de.archive.ubuntu.com precise/multiverse Translation-en
Hit http://de.archive.ubuntu.com precise/restricted Translation-en
Hit http://de.archive.ubuntu.com precise/universe Translation-en
Ign http://extras.ubuntu.com precise/main Translation-en_US
Hit http://de.archive.ubuntu.com precise-updates/main Translation-en
Hit http://de.archive.ubuntu.com precise-updates/multiverse Translation-en
Hit http://de.archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://de.archive.ubuntu.com precise-updates/universe Translation-en
Hit http://de.archive.ubuntu.com precise-backports/main Translation-en
Ign http://extras.ubuntu.com precise/main Translation-en
Ign http://deb.linuxmce.org precise/main Translation-en_US
Hit http://de.archive.ubuntu.com precise-backports/multiverse Translation-en
Hit http://de.archive.ubuntu.com precise-backports/restricted Translation-en
Hit http://de.archive.ubuntu.com precise-backports/universe Translation-en
Ign http://download.videolan.org  Translation-en_US
Ign http://deb.linuxmce.org precise/main Translation-en
Ign http://deb.linuxmce.org precise/universe Translation-en_US
Ign http://download.videolan.org  Translation-en
Ign http://debian.slimdevices.com stable/main TranslationIndex
Ign http://deb.linuxmce.org precise/universe Translation-en
Hit http://debian.slimdevices.com stable/main i386 Packages
Ign http://debian.slimdevices.com stable/main Translation-en_US
Ign http://debian.slimdevices.com stable/main Translation-en
W: Failed to fetch http://deb.linuxmce.org/ubuntu/dists/precise/universe/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
dcerouter_1043186:/home/linuxmce# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  linux-headers-3.2.0-84 linux-headers-3.2.0-84-generic-pae lmce-skins-basic
The following packages will be upgraded:
  apport apport-gtk apport-kde fuse fuse-utils libfuse2 linux-generic-pae linux-headers-generic-pae linux-image-generic-pae linux-libc-dev lmce-core lmce-md-meta lmce-skins-bluecrystal lmce-skins-slate lmce-skins-titanium
  lmce-skins-uita pluto-avwizard pluto-avwizard-skin-basic pluto-mythtv-player pluto-orbiter python-apport python-problem-report
22 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
9 not fully installed or removed.
Need to get 0 B/314 MB of archives.
After this operation, 121 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  pluto-mythtv-player lmce-skins-basic lmce-core pluto-avwizard-skin-basic pluto-avwizard pluto-orbiter lmce-md-meta fuse libfuse2 python-problem-report python-apport apport apport-gtk apport-kde fuse-utils linux-generic-pae
  linux-image-generic-pae linux-headers-3.2.0-84 linux-headers-3.2.0-84-generic-pae linux-headers-generic-pae linux-libc-dev lmce-skins-bluecrystal lmce-skins-slate lmce-skins-titanium lmce-skins-uita
Authentication warning overridden.
E: Archive is too short
E: Prior errors apply to /var/cache/apt/archives/lmce-skins-titanium_2.0.0.47.9~lmce3_all.deb
E: Prior errors apply to /var/cache/apt/archives/lmce-skins-uita_2.0.0.47.9~lmce3_all.deb
debconf: apt-extracttemplates failed: No such file or directory
(Reading database ... 261542 files and directories currently installed.)
Unpacking lmce-skins-basic (from .../lmce-skins-basic_2.0.0.47.9~lmce3_all.deb) ...
dpkg: error processing /var/cache/apt/archives/lmce-skins-basic_2.0.0.47.9~lmce3_all.deb (--unpack):
 trying to overwrite '/usr/pluto/orbiter/skins/Basic/mobile/icons/media/home video.png', which is also in package pluto-skins-basic 2.0.0.46.15042530622
No apport report written because MaxReports is reached already
                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/lmce-skins-basic_2.0.0.47.9~lmce3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
dcerouter_1043186:/home/linuxmce#
is there something I can do?
« Last Edit: May 24, 2015, 11:14:12 pm by maverick0815 »

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #2 on: May 24, 2015, 12:52:47 pm »
There was one issue with lmce-skins-titanium which has been rectified. The other issue with one file being in two packages can only be fixed manually on your system. dpkg -r the pluto package, followed by apt-get -f install should fix it.

Order of action for you:

Code: [Select]
apt-get update
apt-get upgrade
dpkg -r --force-all pluto-skins-basic
apt-get -f install

should do the trick.

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #3 on: May 24, 2015, 10:54:37 pm »
Thanks, I will try that....and sorry for the spam...

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #4 on: May 24, 2015, 11:52:22 pm »
No, thank you for providing feedback, and sorry for the issues.

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #5 on: May 25, 2015, 11:20:03 am »
Looks good so far, only pluto-mythtv-player doesn't play ball still.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #6 on: May 25, 2015, 02:46:18 pm »
please show the mythtv's error again

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #7 on: May 25, 2015, 03:30:59 pm »
Quote
Setting up pluto-mythtv-player (2.0.0.46.15041030526) ...
ln: failed to create symbolic link `/usr/lib/libXmu.so': File exists
dpkg: error processing pluto-mythtv-player (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
Errors were encountered while processing:
 pluto-mythtv-player
E: Sub-process /usr/bin/dpkg returned an error code (1)
dcerouter_1043186:/home/linuxmce#

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #8 on: May 25, 2015, 04:17:50 pm »
Check what other packages are setting up that file. dpkg -S name-of-file should give you a list

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #9 on: May 25, 2015, 04:26:33 pm »
/usr/lib/libXmu.so ?

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #10 on: May 25, 2015, 04:26:55 pm »
yes

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #11 on: May 25, 2015, 06:21:08 pm »
Quote
dcerouter_1043186:/home/linuxmce# dpkg -S /usr/lib/libXmu.so
dpkg-query: no path found matching pattern /usr/lib/libXmu.so.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #12 on: May 25, 2015, 09:02:58 pm »
move the libXmu.so file elsewhere, and apt-get -f install and see if it works.

maverick0815

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 858
    • View Profile
Re: update 30718 throws errors
« Reply #13 on: May 25, 2015, 10:45:29 pm »
Nope, doesn't work.
Quote
dcerouter_1043186:/home/linuxmce# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-image-3.2.0-79-generic-pae libdiscover2 openswan linux-headers-3.2.0-80 linux-headers-3.2.0-77 linux-headers-3.2.0-79 linux-headers-3.2.0-77-generic-pae discover mce-launcher lmce-diskless-debootstrap-image
  linux-image-3.2.0-77-generic-pae libvte9 ftp-upload linux-headers-3.2.0-80-generic-pae pluto-dummy-console-tools lmce-update-system pluto-avwizard-sounds linux-image-3.2.0-80-generic-pae discover-data linux-headers-3.2.0-79-generic-pae
  pluto-windowsce-libraries libvte-common
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up pluto-mythtv-player (2.0.0.46.15041030526) ...
dpkg: error processing pluto-mythtv-player (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 pluto-mythtv-player
E: Sub-process /usr/bin/dpkg returned an error code (1)


posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3664
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: update 30718 throws errors
« Reply #14 on: May 25, 2015, 11:39:53 pm »
See if you can find /var/lib/dpkg/info/pluto-mythtv-player.postinst and modify the line #!/bin/bash to say #!/bin/bash -x and re-run apt-get -f install

It should highlight where the issue is.